import { hash, compare } from 'bcrypt';
import fastifyPlugin from 'fastify-plugin';
// 加密
async function encryption(fastify, options) {
    // 注册swagger插件（新版配置方式）
    fastify.log.warn('Register Encryption Plugin!');
    // 注册hash插件（新版配置方式）
    // 相同密码不同salt生成的哈希完全不同
    fastify.decorate('hash', (str, salt = 10) => hash(str, salt));
    // 验证时会自动从哈希中提取salt
    fastify.decorate('compareHash', (plainText, hashedPassword) => compare(plainText, hashedPassword));
    // 
    fastify.log.warn('Register Encryption complete!');
}

export default fastifyPlugin(encryption);
