import { dictListSchema, dictInfoSchema, dictTreeSchema, dictCreateSchema, dictUpdateSchema, dictDeleteSchema } from "#schema/dict.schema";
import { dictListService, dictInfoService, dictTreeService, dictCreateService, dictUpdateService, dictDeleteService } from "#services/dict/dict.service";
export default async function moduleRoute(fastify, options) {
    // 1. 通过PID获取字典列表 25-03/27
    fastify.get('/', { schema: dictListSchema }, dictListService);

    // 2. 获取字典详情  25-03/27
    fastify.get('/:id', { schema: dictInfoSchema }, dictInfoService);

    // 3. 获取字典树  25-03/27
    fastify.get('/tree/:id', dictTreeService);

    // 4. 添加字典  25-03/27
    fastify.post('/', { schema: dictCreateSchema }, dictCreateService);

    // 5. 修改字典  25-03/27
    fastify.patch('/:id', { schema: dictUpdateSchema }, dictUpdateService);

    // 6. 删除字典  25-03/27
    fastify.delete('/:id', { schema: dictDeleteSchema }, dictDeleteService);
    
}