import { testSchema } from '#src/schema/test.schema';
import { testService } from '#src/services/test.service';
import userRoute from '#routes/user.route';
import moduleRoute from '#routes/module.route';
import dictRoute from '#routes/dict.route';

export default async function routes(fastify, options) {
    // 定义一个GET请求的路由，路径为根路径
    fastify.get('/', async (request, reply) => {
        fastify.log.info(fastify.config);
        return fastify.config.deviceInfo;
    });
    fastify.get('/test', testSchema, testService);

    // 注册子路由 -------- 用户
    fastify.register(userRoute, { prefix: '/user' });
    // 注册子路由 -------- 模块
    fastify.register(moduleRoute, { prefix: '/module' });
    // 注册子路由 -------- 权限

    // 注册子路由 -------- 角色

    // 注册子路由 -------- 字典
    fastify.register(dictRoute, { prefix: '/dict' });

    // 输出路由树
    fastify.ready(() => {
        fastify.log.info('Routes Registered!');
        fastify.log.info('\n' + fastify.printRoutes());
    });
}
