import { userDefaultSchema, userRegisterSchema, userLoginSchema, userRefreshTokenSchema } from '#schema/user.schema';
import { userRegisterService, userLoginService, refreshTokenService } from '#services/user/user.service';

export default async function userRoute(fastify, options) {
    // 1. 新用户注册 25-03/25
    fastify.post('/register', { schema: userRegisterSchema }, userRegisterService);
    // 2. 用户登录 25-03/26
    fastify.post('/login', { schema: userLoginSchema }, userLoginService);
    // 3. 刷新token 25-03/26
    fastify.post('/refreshToken', { schema: userRefreshTokenSchema }, refreshTokenService);
}
