export default {
    '400': {
        description: '请求参数错误',
        type: 'object',
        properties: {
            code: { type: 'number', enum: [400] },
            error: { type: 'string' },
            details: {
                type: 'array',
                items: {
                    type: 'object',
                    properties: {
                        path: { type: 'string' },
                        message: { type: 'string' }
                    }
                }
            }
        }
    },
    '401': {
        description: '未授权访问',
        type: 'object',
        properties: {
            code: { type: 'number', enum: [401] },
            error: { type: 'string' }
        }
    },
    '403': {
        description: '权限不足',
        type: 'object',
        properties: {
            code: { type: 'number', enum: [403] },
            error: { type: 'string' }
        }
    },
    '404': {
        description: '找不到目标资源',
        type: 'object',
        properties: {
            code: { type: 'number', enum: [404] },
            error: { type: 'string' }
        }
    },
    '409': {
        description: '数据已存在',
        type: 'object',
        properties: {
            code: { type: 'number', enum: [409] },
            error: { type: 'string' }
        },
        required: ['code', 'error']
    },
    '500': {
        description: '服务器内部错误',
        type: 'object',
        properties: {
            code: { type: 'number', enum: [500] },
            error: { type: 'string' }
        }
    }
};