import { sysUser, sysUserAuth, sysUserAuthHistory } from '#entity';
import { or, eq } from 'drizzle-orm';
// 查重用户名和邮箱
export async function checkExistsUsernameAndEmail(username, email) {
    const result = await this.db
        .select()
        .from(sysUser)
        .where(
            or(
                eq(sysUser.username, username), // 明确指定字段比较
                eq(sysUser.email, email),
            ),
        );

    return result.length > 0; // 正确判断结果集是否为空
}
// 个人注册账户
export async function registerAccount(userData) {
    const result = await this.db.insert(sysUser).values(userData)
    const [newUser] = await this.db
        .select()
        .from(sysUser)
        .where(eq(sysUser.userId, userData.userId));
        console.log('AA')
    await setPassword.call(this, userData.userId, userData.password)
    return newUser;
}

// 设置密码
async function setPassword(userId, password) {
    // 获取用户ID
    const result = await this.db
        .select()
        .from(sysUserAuth)
        .where(
            eq(sysUserAuth.userId, userId),
        );
    if (result.length > 0) {
        // 密码存在，更新密码
        await this.db.update(sysUserAuth).set({ passwordHash: password, passwordExpire: new Date(Date.now() + 2 * 365 * 24 * 60 * 60 * 1000) }).where(eq(sysUser.userId, userId))
        await this.db.insert(sysUserAuthHistory).values({ id: this.snowflake(), userId, passwordHash: password })
    } else {
        // 密码不存在，插入新密码
        await this.db.insert(sysUserAuth).values({ id: userId, userId, passwordHash: password, passwordExpire: new Date(Date.now() + 2 * 365 * 24 * 60 * 60 * 1000)})
    }
}

// 登录
export async function login(username, email) {
    const [user] = await this.db.select({
        userId: sysUser.userId,
        password: sysUserAuth.passwordHash,
        username: sysUser.username,
        email: sysUser.email,
        avatarUrl: sysUser.avatarUrl,
        status: sysUser.status
    })
    .from(sysUser)
    .innerJoin(sysUserAuth, eq(sysUser.userId, sysUserAuth.userId))
    .where(or(
        username ? eq(sysUser.username, username) : undefined,
        email ? eq(sysUser.email, email) : undefined
    ))
    .limit(1)
    .execute()
    return user;
}

// 获取用户基本信息
export async function getUserInfoByUserId(userId) {
    const [user] = await this.db.select({
        userId: sysUser.userId,
        status: sysUser.status
    })
    .from(sysUser)
    .where(eq(sysUser.userId, userId))
    .limit(1)
    .execute()
    return user;
}
